
using AndroidX.AppCompat.App;
using AndroidX.Preference;
using Tesses.YouTubeDownloader.Droid;
using Toolbar = AndroidX.AppCompat.Widget.Toolbar;
namespace TYTD.Mobile;

[Activity(Theme = "@style/AppTheme.NoActionBar",Label ="@string/action_settings")]
class PrefenceActivity : AppCompatActivity, PreferenceFragmentCompat.IOnPreferenceStartFragmentCallback
{
    public bool OnPreferenceStartFragment(PreferenceFragmentCompat caller, Preference pref)
    {
        throw new NotImplementedException();
    }

    protected override void OnCreate(Bundle? savedInstanceState)
    {
        
        base.OnCreate(savedInstanceState);
       
        SetContentView(Resource.Layout.settings_layout);
        
        
        SupportFragmentManager.BeginTransaction().Replace(Resource.Id.settings,new MainPreference()).Commit();
         
             Toolbar? toolbar = FindViewById<Toolbar>(Resource.Id.toolbar_settings);
	    if(toolbar != null){
            SetSupportActionBar(toolbar);
            SupportActionBar?.SetDisplayHomeAsUpEnabled(true);
            SupportActionBar?.SetDisplayShowHomeEnabled(true); 
            
        }
    }
    public override bool OnSupportNavigateUp()
    {
        OnBackPressed();
        return true;
    }
   
    public class MainPreference : PreferenceFragmentCompat
    {
        public MainPreference()
        {
        }
        public override void OnCreatePreferences(Bundle? savedInstanceState, string? rootKey)
        {
            if(this.PreferenceManager != null)
            this.PreferenceManager.PreferenceDataStore = new TYTDPreferences();
            SetPreferencesFromResource(Resource.Xml.preference_screen,rootKey);
            
            

        }

    }
}